Subject: Re: bug#6107: Delete key in the trunk invokes 'backspace' command

From: Paul Pogonyshev <[email-masked]>
Date: Fri, 7 May 2010 13:04:10 +0300

Stefan Monnier wrote:
> > After recompiling Emacs from trunk, <delete> key now invokes backspace
> > (not in terminal, using a GTK+/X Emacs).  This breaks compatibility
> > with everything imaginable, including previous Emacs versions.
> 
> I recently redefined the main function related to this, using
> define-minor-mode.  But it relies on changes in macros in cl-macs and
> easy-mmode, so you may need to recompile those files in the right order
> to get the right result.  I.e. please recompile lisp/simple.el (and
> re-dump) after compiling all other files.  Or just try bootstrapping.

I tried several times (after bzr pulls), but I get this error:

Using load-path (/home/developer/bzr/emacs/lisp /home/developer/bzr/emacs/lisp/emacs-lisp /home/developer/bzr/emacs/lisp/language /home/developer/bzr/emacs/lisp/international /home/developer/bzr/emacs/lisp/textmodes)
Loading emacs-lisp/byte-run (source)...
Loading emacs-lisp/backquote (source)...
Loading subr (source)...
Loading version.el (source)...
Loading widget (source)...
Loading custom (source)...
Loading emacs-lisp/map-ynp (source)...
Loading cus-start (source)...
Loading international/mule (source)...
Loading international/mule-conf (source)...
Loading env (source)...
Loading format (source)...
Loading bindings (source)...
Loading /home/developer/bzr/emacs/lisp/files.el (source)...
Symbol's function definition is void: define-minor-mode
make[1]: *** [bootstrap-emacs] Error 255
make[1]: Leaving directory `/home/developer/bzr/emacs/src'
make: *** [src] Error 2

No .elc files appear, so this apparently happens on the very first
.el compilation.

Paul